# Interface NameRecordInput

#### Hierarchy

- NameRecordInput

- Defined in packages/db/typings/schema.d.ts:693

#####
Index

### Properties

previous?
resource

## Properties

### `Optional` previous

previous?: null | ResourceReferenceInput

- Defined in packages/db/typings/schema.d.ts:695

### resource

resource: TypedResourceReferenceInput

- Defined in packages/db/typings/schema.d.ts:694

Generated using TypeDoc